http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}Updates a branch for an Amplify app.
The unique ID for an Amplify app.
The name for the branch.
The content Time to Live (TTL) for the website in seconds.
Describes the current stage for the branch.
The build specification (build spec) file for an Amplify app build.
The framework for the branch.
The description for the branch.
The display name for a branch. This is used as the default domain prefix.
Enables auto building for the branch.
Enables basic authorization for the branch.
Enables notifications for the branch.
The basic authorization credentials for the branch. You must base64-encode the authorization credentials and provide them in the format <code>user:password</code>.
The environment variables for the branch.
The Amazon Resource Name (ARN) for a backend environment that is part of an Amplify app.
<p>Enables performance mode for the branch.</p> <p>Performance mode optimizes for faster hosting performance by keeping content cached at the edge for a longer interval. When performance mode is enabled, hosting configuration or code changes can take up to 10 minutes to roll out. </p>
Enables pull request previews for this branch.
The Amplify environment name for the pull request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}Updates a branch for an Amplify app.
The unique ID for an Amplify app.
The name for the branch.
The content Time to Live (TTL) for the website in seconds.
Describes the current stage for the branch.
The build specification (build spec) file for an Amplify app build.
The framework for the branch.
The description for the branch.
The display name for a branch. This is used as the default domain prefix.
Enables auto building for the branch.
Enables basic authorization for the branch.
Enables notifications for the branch.
The basic authorization credentials for the branch. You must base64-encode the authorization credentials and provide them in the format <code>user:password</code>.
The environment variables for the branch.
The Amazon Resource Name (ARN) for a backend environment that is part of an Amplify app.
<p>Enables performance mode for the branch.</p> <p>Performance mode optimizes for faster hosting performance by keeping content cached at the edge for a longer interval. When performance mode is enabled, hosting configuration or code changes can take up to 10 minutes to roll out. </p>
Enables pull request previews for this branch.
The Amplify environment name for the pull request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}